From 5abdbb0d39e77b9463857c60a53707fd6f2abc45 Mon Sep 17 00:00:00 2001
From: Francisco Miguel Biete Banon <francisco.banon@optum.com>
Date: Fri, 27 Sep 2024 07:53:28 +0100
Subject: [PATCH] Definition moved to a different header

---
 repmgr-client.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/repmgr-client.c b/repmgr-client.c
index 6fa8edd2..022ccec9 100644
--- a/repmgr-client.c
+++ b/repmgr-client.c
@@ -70,7 +70,11 @@
 #include "repmgr-action-service.h"
 #include "repmgr-action-daemon.h"
 
+#if (PG_VERSION_NUM >= 170000)
+#include <common/file_utils.h> 		/* for PG_TEMP_FILE_PREFIX */
+#else
 #include <storage/fd.h>			/* for PG_TEMP_FILE_PREFIX */
+#endif
 
 /* globally available variables *
  * ============================ */
